Jump to content

MediaWiki talk:Common.css: Difference between revisions

From The Austrian Economics Wiki, the global repository of classical-liberal thought
RayBirks (talk | contribs)
start talk page
 
re
Line 1: Line 1:
==What does this do?==
==What does this do?==
For those of us less aware of some of the inner workings of wikis and css (cascading style sheets:  http://en.wikipedia.org/wiki/Cascading_Style_Sheets ), could someone give a thumbnail sketch of how this helps us and perhaps point to an example of where it is being used? Thanks in advance!  -- [[User:RayBirks|RayBirks]] 16:58, 22 November 2010 (CST)
For those of us less aware of some of the inner workings of wikis and css (cascading style sheets:  http://en.wikipedia.org/wiki/Cascading_Style_Sheets ), could someone give a thumbnail sketch of how this helps us and perhaps point to an example of where it is being used? Thanks in advance!  -- [[User:RayBirks|RayBirks]] 16:58, 22 November 2010 (CST)
:This page defines "classes" that make it easier to do common types of formatting.  For just one example, about halfway down there's the "prettytable" class.  It sets colors, borders and other things related to tables.  As a result, it's easy to create a nice-looking table.  Just type:
:<code><nowiki>
{| class="prettytable"</nowiki><br />
:|-<br />
:!This is a new table!!Another header<br />
:|-<br />
:|Entry 1||Entry 2<br />
:<nowiki>|}</nowiki></code>
:And you get:
:{| class="prettytable"
|-
!This is a new table!!Another header
|-
|Entry 1||Entry 2
|}
:If you didn't include the 'class="prettytable"' part, you'd get:
:{|
|-
!This is a new table!!Another header
|-
|Entry 1||Entry 2
|}
Same thing goes for most of the other classes found here.  If you have a specific question about where a particular class is used, feel free to ask here. --[[User:Forgottenman|Forgottenman]] ([[User talk:Forgottenman|talk]]) 20:38, 22 November 2010 (CST)

Revision as of 02:38, 23 November 2010

What does this do?

For those of us less aware of some of the inner workings of wikis and css (cascading style sheets: http://en.wikipedia.org/wiki/Cascading_Style_Sheets ), could someone give a thumbnail sketch of how this helps us and perhaps point to an example of where it is being used? Thanks in advance! -- RayBirks 16:58, 22 November 2010 (CST)

This page defines "classes" that make it easier to do common types of formatting. For just one example, about halfway down there's the "prettytable" class. It sets colors, borders and other things related to tables. As a result, it's easy to create a nice-looking table. Just type:
{| class="prettytable"
|-
!This is a new table!!Another header
|-
|Entry 1||Entry 2
|}
And you get:
This is a new table Another header
Entry 1 Entry 2
If you didn't include the 'class="prettytable"' part, you'd get:
This is a new table Another header
Entry 1 Entry 2

Same thing goes for most of the other classes found here. If you have a specific question about where a particular class is used, feel free to ask here. --Forgottenman (talk) 20:38, 22 November 2010 (CST)